Fix accepting LLVM_ROOT with cmake >= 3.12
ClosedPublic

Authored by nkosjar on Sep 17 2019, 7:43 AM.

Details

Reviewers
smartins
Summary

Configuring with cmake 3.12 emits the following warning and ignores LLVM_ROOT.
Fix this by explicitly requiring the new policy.

CMake Warning (dev) at cmake/FindClang.cmake:46 (find_package):
  Policy CMP0074 is not set: find_package uses <PackageName>_ROOT variables.
  Run "cmake --help-policy CMP0074" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.

  CMake variable LLVM_ROOT is set to:

    /d2/llvm/9/vanilla/installs/Release

  For compatibility, CMake is ignoring the variable.
Call Stack (most recent call first):
  CMakeLists.txt:26 (find_package)
This warning is for project developers.  Use -Wno-dev to suppress it.

Diff Detail

Repository
R74 Clazy
Branch
fixCompileWithRecentCMake (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16671
Build 16689: arc lint + arc unit
nkosjar requested review of this revision.Sep 17 2019, 7:43 AM
nkosjar created this revision.
smartins accepted this revision.Sep 20 2019, 10:32 AM

landed, you can close it

Didn't add REVIEW: As the git server was giving a python exception for whatever reason

This revision is now accepted and ready to land.Sep 20 2019, 10:32 AM
nkosjar closed this revision.Tue, Sep 24, 9:02 AM